Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/minisign: new aport

From: Muh Muhten <muh.muhten_at_gmail.com>
Date: Tue, 15 Mar 2016 16:00:00 -0400

---
 testing/minisign/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/minisign/APKBUILD
diff --git a/testing/minisign/APKBUILD b/testing/minisign/APKBUILD
new file mode 100644
index 0000000..80395fc
--- /dev/null
+++ b/testing/minisign/APKBUILD
_at_@ -0,0 +1,28 @@
+# Maintainer: Michael Zuo <muh.muhten_at_gmail.com>
+pkgname=minisign
+pkgver=0.6
+pkgrel=0
+pkgdesc=" A dead simple tool to sign files and verify signatures. "
+url="https://jedisct1.github.io/minisign"
+arch="all"
+license="ISC"
+depends=""
+makedepends="cmake libsodium-dev"
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/jedisct1/minisign/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$_builddir"
+	cmake -DCMAKE_INSTALL_PREFIX=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR="$pkgdir" || return 1
+}
+
+md5sums="7f570d7e1502fc7efb0e34ba251bfde7  minisign-0.6.tar.gz"
+sha256sums="f2267a07bece923d4d174ccacccc56eff9c05b28c4d971e601de896355442f09  minisign-0.6.tar.gz"
+sha512sums="c7d6d61f2ebd0417ebdb8f096fd474d45f375a7e0b95d27a048a2739f2b86d2b7da013f4220eef1a2ded29514a22b0b31908165c5a9ae5629b3431b3d50d0ea6  minisign-0.6.tar.gz"
-- 
2.5.4 (Apple Git-61)
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 15 2016 - 16:00:00 GMT